diff --git a/games/libkdegames/pkg-plist b/games/libkdegames/pkg-plist
index f1fd8d36fb75..26d5ab6fd203 100644
--- a/games/libkdegames/pkg-plist
+++ b/games/libkdegames/pkg-plist
@@ -1,73 +1,71 @@
-include/KF5/KDEGames/KGameClock
-include/KF5/KDEGames/KGamePopupItem
-include/KF5/KDEGames/KGameRenderedItem
-include/KF5/KDEGames/KGameRenderedObjectItem
-include/KF5/KDEGames/KGameRenderer
-include/KF5/KDEGames/KGameRendererClient
-include/KF5/KDEGames/KHighscore
-include/KF5/KDEGames/KScoreDialog
-include/KF5/KDEGames/KStandardGameAction
-include/KF5/KDEGames/KgAudioScene
-include/KF5/KDEGames/KgDeclarativeView
-include/KF5/KDEGames/KgDifficulty
-include/KF5/KDEGames/KgDifficultyLevel
-include/KF5/KDEGames/KgSound
-include/KF5/KDEGames/KgTheme
-include/KF5/KDEGames/KgThemeProvider
-include/KF5/KDEGames/KgThemeSelector
-include/KF5/KDEGames/highscore/khighscore.h
-include/KF5/KDEGames/highscore/kscoredialog.h
-include/KF5/KDEGames/kdegames_version.h
-include/KF5/KDEGames/kgameclock.h
-include/KF5/KDEGames/kgamepopupitem.h
-include/KF5/KDEGames/kgamerendereditem.h
-include/KF5/KDEGames/kgamerenderedobjectitem.h
-include/KF5/KDEGames/kgamerenderer.h
-include/KF5/KDEGames/kgamerendererclient.h
-include/KF5/KDEGames/kgaudioscene.h
-include/KF5/KDEGames/kgdeclarativeview.h
-include/KF5/KDEGames/kgdifficulty.h
-include/KF5/KDEGames/kgsound.h
-include/KF5/KDEGames/kgtheme.h
-include/KF5/KDEGames/kgthemeprovider.h
-include/KF5/KDEGames/kgthemeselector.h
-include/KF5/KDEGames/kstandardgameaction.h
-include/KF5/KDEGames/libkdegames_capabilities.h
-include/KF5/KDEGames/libkdegames_export.h
-include/KF5/KDEGames/libkdegamesprivate/kchatbase.h
-include/KF5/KDEGames/libkdegamesprivate/kchatbaseitemdelegate.h
-include/KF5/KDEGames/libkdegamesprivate/kchatbasemodel.h
-include/KF5/KDEGames/libkdegamesprivate/kgame/kgame.h
-include/KF5/KDEGames/libkdegamesprivate/kgame/kgamechat.h
-include/KF5/KDEGames/libkdegamesprivate/kgame/kgameerror.h
-include/KF5/KDEGames/libkdegamesprivate/kgame/kgameio.h
-include/KF5/KDEGames/libkdegamesprivate/kgame/kgamemessage.h
-include/KF5/KDEGames/libkdegamesprivate/kgame/kgamenetwork.h
-include/KF5/KDEGames/libkdegamesprivate/kgame/kgameproperty.h
-include/KF5/KDEGames/libkdegamesprivate/kgame/kgamepropertyhandler.h
-include/KF5/KDEGames/libkdegamesprivate/kgame/kgamesequence.h
-include/KF5/KDEGames/libkdegamesprivate/kgame/kgameversion.h
-include/KF5/KDEGames/libkdegamesprivate/kgame/kmessageclient.h
-include/KF5/KDEGames/libkdegamesprivate/kgame/kmessageio.h
-include/KF5/KDEGames/libkdegamesprivate/kgame/kmessageserver.h
-include/KF5/KDEGames/libkdegamesprivate/kgame/kplayer.h
-include/KF5/KDEGames/libkdegamesprivate/kgamecanvas.h
-include/KF5/KDEGames/libkdegamesprivate/kgamedifficulty.h
-include/KF5/KDEGames/libkdegamesprivate/kgamesvgdocument.h
-include/KF5/KDEGames/libkdegamesprivate/kgametheme.h
-include/KF5/KDEGames/libkdegamesprivate/kgamethemeselector.h
-include/KF5/KDEGames/libkdegamesprivate/libkdegamesprivate_export.h
-lib/cmake/KF5KDEGames/KF5KDEGamesConfig.cmake
-lib/cmake/KF5KDEGames/KF5KDEGamesConfigVersion.cmake
-lib/cmake/KF5KDEGames/KF5KDEGamesTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KF5KDEGames/KF5KDEGamesTargets.cmake
-lib/libKF5KDEGames.so
-lib/libKF5KDEGames.so.%%SHLIB_SHVER%%
-lib/libKF5KDEGames.so.%%SHLIB_SHVER%%.5.0
-lib/libKF5KDEGamesPrivate.so
-lib/libKF5KDEGamesPrivate.so.%%SHLIB_SHVER%%
-lib/libKF5KDEGamesPrivate.so.%%SHLIB_SHVER%%.5.0
-%%QT_QMLDIR%%/org/kde/games/core/KgItem.qml
+include/KDEGames6/KGameAudioScene
+include/KDEGames6/KGameClock
+include/KDEGames6/KGameDifficulty
+include/KDEGames6/KGameDifficultyLevel
+include/KDEGames6/KGameGraphicsViewRenderer
+include/KDEGames6/KGameHighScoreDialog
+include/KDEGames6/KGameHighscore
+include/KDEGames6/KGamePopupItem
+include/KDEGames6/KGameRenderedGraphicsObject
+include/KDEGames6/KGameRenderedItem
+include/KDEGames6/KGameRenderer
+include/KDEGames6/KGameRendererClient
+include/KDEGames6/KGameSound
+include/KDEGames6/KGameStandardAction
+include/KDEGames6/KGameTheme
+include/KDEGames6/KGameThemeProvider
+include/KDEGames6/KGameThemeSelector
+include/KDEGames6/kdegames_export.h
+include/KDEGames6/kdegames_version.h
+include/KDEGames6/kgameaudioscene.h
+include/KDEGames6/kgameclock.h
+include/KDEGames6/kgamedifficulty.h
+include/KDEGames6/kgamegraphicsviewrenderer.h
+include/KDEGames6/kgamehighscore.h
+include/KDEGames6/kgamehighscoredialog.h
+include/KDEGames6/kgamepopupitem.h
+include/KDEGames6/kgamerenderedgraphicsobject.h
+include/KDEGames6/kgamerendereditem.h
+include/KDEGames6/kgamerenderer.h
+include/KDEGames6/kgamerendererclient.h
+include/KDEGames6/kgamesound.h
+include/KDEGames6/kgamestandardaction.h
+include/KDEGames6/kgametheme.h
+include/KDEGames6/kgamethemeprovider.h
+include/KDEGames6/kgamethemeselector.h
+include/KDEGames6/libkdegames_capabilities.h
+include/KDEGames6/libkdegamesprivate/kchatbase.h
+include/KDEGames6/libkdegamesprivate/kchatbaseitemdelegate.h
+include/KDEGames6/libkdegamesprivate/kchatbasemodel.h
+include/KDEGames6/libkdegamesprivate/kdegamesprivate_export.h
+include/KDEGames6/libkdegamesprivate/kgame/kgame.h
+include/KDEGames6/libkdegamesprivate/kgame/kgamechat.h
+include/KDEGames6/libkdegamesprivate/kgame/kgameerror.h
+include/KDEGames6/libkdegamesprivate/kgame/kgameio.h
+include/KDEGames6/libkdegamesprivate/kgame/kgamemessage.h
+include/KDEGames6/libkdegamesprivate/kgame/kgamenetwork.h
+include/KDEGames6/libkdegamesprivate/kgame/kgameproperty.h
+include/KDEGames6/libkdegamesprivate/kgame/kgamepropertyhandler.h
+include/KDEGames6/libkdegamesprivate/kgame/kgamesequence.h
+include/KDEGames6/libkdegamesprivate/kgame/kgameversion.h
+include/KDEGames6/libkdegamesprivate/kgame/kmessageclient.h
+include/KDEGames6/libkdegamesprivate/kgame/kmessageio.h
+include/KDEGames6/libkdegamesprivate/kgame/kmessageserver.h
+include/KDEGames6/libkdegamesprivate/kgame/kplayer.h
+include/KDEGames6/libkdegamesprivate/kgamesvgdocument.h
+lib/cmake/KDEGames6/KDEGames6Config.cmake
+lib/cmake/KDEGames6/KDEGames6ConfigVersion.cmake
+lib/cmake/KDEGames6/KDEGames6Targets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KDEGames6/KDEGames6Targets.cmake
+lib/libKDEGames%%SHLIB_SHVER%%.so
+lib/libKDEGames%%SHLIB_SHVER%%.so.%%SHLIB_SHVER%%
+lib/libKDEGames%%SHLIB_SHVER%%.so.%%SHLIB_VER%%
+lib/libKDEGames%%SHLIB_SHVER%%Private.so
+lib/libKDEGames%%SHLIB_SHVER%%Private.so.%%SHLIB_SHVER%%
+lib/libKDEGames%%SHLIB_SHVER%%Private.so.%%SHLIB_VER%%
+%%QT_QMLDIR%%/org/kde/games/core/KGameItem.qml
+%%QT_QMLDIR%%/org/kde/games/core/corebindingsplugin.qmltypes
+%%QT_QMLDIR%%/org/kde/games/core/kde-qmlmodule.version
 %%QT_QMLDIR%%/org/kde/games/core/libcorebindingsplugin.so
 %%QT_QMLDIR%%/org/kde/games/core/qmldir
 share/carddecks/svg-ancient-egyptians/11.png
@@ -125,81 +123,82 @@ share/carddecks/svg-xskat-german/11.png
 share/carddecks/svg-xskat-german/COPYRIGHT
 share/carddecks/svg-xskat-german/german.svgz
 share/carddecks/svg-xskat-german/index.desktop
-share/kconf_update/kgthemeprovider-migration.upd
-share/locale/af/LC_MESSAGES/libkdegames5.mo
-share/locale/ar/LC_MESSAGES/libkdegames5.mo
-share/locale/be/LC_MESSAGES/libkdegames5.mo
-share/locale/bg/LC_MESSAGES/libkdegames5.mo
-share/locale/bn/LC_MESSAGES/libkdegames5.mo
-share/locale/br/LC_MESSAGES/libkdegames5.mo
-share/locale/bs/LC_MESSAGES/libkdegames5.mo
-share/locale/ca/LC_MESSAGES/libkdegames5.mo
-share/locale/ca@valencia/LC_MESSAGES/libkdegames5.mo
-share/locale/cs/LC_MESSAGES/libkdegames5.mo
-share/locale/cy/LC_MESSAGES/libkdegames5.mo
-share/locale/da/LC_MESSAGES/libkdegames5.mo
-share/locale/de/LC_MESSAGES/libkdegames5.mo
-share/locale/el/LC_MESSAGES/libkdegames5.mo
-share/locale/en_GB/LC_MESSAGES/libkdegames5.mo
-share/locale/eo/LC_MESSAGES/libkdegames5.mo
-share/locale/es/LC_MESSAGES/libkdegames5.mo
-share/locale/et/LC_MESSAGES/libkdegames5.mo
-share/locale/eu/LC_MESSAGES/libkdegames5.mo
-share/locale/fa/LC_MESSAGES/libkdegames5.mo
-share/locale/fi/LC_MESSAGES/libkdegames5.mo
-share/locale/fr/LC_MESSAGES/libkdegames5.mo
-share/locale/ga/LC_MESSAGES/libkdegames5.mo
-share/locale/gl/LC_MESSAGES/libkdegames5.mo
-share/locale/he/LC_MESSAGES/libkdegames5.mo
-share/locale/hi/LC_MESSAGES/libkdegames5.mo
-share/locale/hne/LC_MESSAGES/libkdegames5.mo
-share/locale/hr/LC_MESSAGES/libkdegames5.mo
-share/locale/hu/LC_MESSAGES/libkdegames5.mo
-share/locale/id/LC_MESSAGES/libkdegames5.mo
-share/locale/is/LC_MESSAGES/libkdegames5.mo
-share/locale/it/LC_MESSAGES/libkdegames5.mo
-share/locale/ja/LC_MESSAGES/libkdegames5.mo
-share/locale/ka/LC_MESSAGES/libkdegames5.mo
-share/locale/kk/LC_MESSAGES/libkdegames5.mo
-share/locale/km/LC_MESSAGES/libkdegames5.mo
-share/locale/ko/LC_MESSAGES/libkdegames5.mo
-share/locale/ku/LC_MESSAGES/libkdegames5.mo
-share/locale/lt/LC_MESSAGES/libkdegames5.mo
-share/locale/lv/LC_MESSAGES/libkdegames5.mo
-share/locale/mai/LC_MESSAGES/libkdegames5.mo
-share/locale/mk/LC_MESSAGES/libkdegames5.mo
-share/locale/ml/LC_MESSAGES/libkdegames5.mo
-share/locale/mr/LC_MESSAGES/libkdegames5.mo
-share/locale/nb/LC_MESSAGES/libkdegames5.mo
-share/locale/nds/LC_MESSAGES/libkdegames5.mo
-share/locale/ne/LC_MESSAGES/libkdegames5.mo
-share/locale/nl/LC_MESSAGES/libkdegames5.mo
-share/locale/nn/LC_MESSAGES/libkdegames5.mo
-share/locale/oc/LC_MESSAGES/libkdegames5.mo
-share/locale/pa/LC_MESSAGES/libkdegames5.mo
-share/locale/pl/LC_MESSAGES/libkdegames5.mo
-share/locale/pt/LC_MESSAGES/libkdegames5.mo
-share/locale/pt_BR/LC_MESSAGES/libkdegames5.mo
-share/locale/ro/LC_MESSAGES/libkdegames5.mo
-share/locale/ru/LC_MESSAGES/libkdegames5.mo
-share/locale/se/LC_MESSAGES/libkdegames5.mo
-share/locale/sk/LC_MESSAGES/libkdegames5.mo
-share/locale/sl/LC_MESSAGES/libkdegames5.mo
-share/locale/sq/LC_MESSAGES/libkdegames5.mo
-share/locale/sr/LC_MESSAGES/libkdegames5.mo
-share/locale/sr@ijekavian/LC_MESSAGES/libkdegames5.mo
-share/locale/sr@ijekavianlatin/LC_MESSAGES/libkdegames5.mo
-share/locale/sr@latin/LC_MESSAGES/libkdegames5.mo
-share/locale/sv/LC_MESSAGES/libkdegames5.mo
-share/locale/ta/LC_MESSAGES/libkdegames5.mo
-share/locale/te/LC_MESSAGES/libkdegames5.mo
-share/locale/tg/LC_MESSAGES/libkdegames5.mo
-share/locale/th/LC_MESSAGES/libkdegames5.mo
-share/locale/tr/LC_MESSAGES/libkdegames5.mo
-share/locale/ug/LC_MESSAGES/libkdegames5.mo
-share/locale/uk/LC_MESSAGES/libkdegames5.mo
-share/locale/wa/LC_MESSAGES/libkdegames5.mo
-share/locale/xh/LC_MESSAGES/libkdegames5.mo
-share/locale/zh_CN/LC_MESSAGES/libkdegames5.mo
-share/locale/zh_TW/LC_MESSAGES/libkdegames5.mo
-share/qlogging-categories5/libkdegames.categories
+share/locale/af/LC_MESSAGES/libkdegames6.mo
+share/locale/ar/LC_MESSAGES/libkdegames6.mo
+share/locale/ast/LC_MESSAGES/libkdegames6.mo
+share/locale/be/LC_MESSAGES/libkdegames6.mo
+share/locale/bg/LC_MESSAGES/libkdegames6.mo
+share/locale/bn/LC_MESSAGES/libkdegames6.mo
+share/locale/br/LC_MESSAGES/libkdegames6.mo
+share/locale/bs/LC_MESSAGES/libkdegames6.mo
+share/locale/ca/LC_MESSAGES/libkdegames6.mo
+share/locale/ca@valencia/LC_MESSAGES/libkdegames6.mo
+share/locale/cs/LC_MESSAGES/libkdegames6.mo
+share/locale/cy/LC_MESSAGES/libkdegames6.mo
+share/locale/da/LC_MESSAGES/libkdegames6.mo
+share/locale/de/LC_MESSAGES/libkdegames6.mo
+share/locale/el/LC_MESSAGES/libkdegames6.mo
+share/locale/en_GB/LC_MESSAGES/libkdegames6.mo
+share/locale/eo/LC_MESSAGES/libkdegames6.mo
+share/locale/es/LC_MESSAGES/libkdegames6.mo
+share/locale/et/LC_MESSAGES/libkdegames6.mo
+share/locale/eu/LC_MESSAGES/libkdegames6.mo
+share/locale/fa/LC_MESSAGES/libkdegames6.mo
+share/locale/fi/LC_MESSAGES/libkdegames6.mo
+share/locale/fr/LC_MESSAGES/libkdegames6.mo
+share/locale/ga/LC_MESSAGES/libkdegames6.mo
+share/locale/gl/LC_MESSAGES/libkdegames6.mo
+share/locale/he/LC_MESSAGES/libkdegames6.mo
+share/locale/hi/LC_MESSAGES/libkdegames6.mo
+share/locale/hne/LC_MESSAGES/libkdegames6.mo
+share/locale/hr/LC_MESSAGES/libkdegames6.mo
+share/locale/hu/LC_MESSAGES/libkdegames6.mo
+share/locale/ia/LC_MESSAGES/libkdegames6.mo
+share/locale/id/LC_MESSAGES/libkdegames6.mo
+share/locale/is/LC_MESSAGES/libkdegames6.mo
+share/locale/it/LC_MESSAGES/libkdegames6.mo
+share/locale/ja/LC_MESSAGES/libkdegames6.mo
+share/locale/ka/LC_MESSAGES/libkdegames6.mo
+share/locale/kk/LC_MESSAGES/libkdegames6.mo
+share/locale/km/LC_MESSAGES/libkdegames6.mo
+share/locale/ko/LC_MESSAGES/libkdegames6.mo
+share/locale/ku/LC_MESSAGES/libkdegames6.mo
+share/locale/lt/LC_MESSAGES/libkdegames6.mo
+share/locale/lv/LC_MESSAGES/libkdegames6.mo
+share/locale/mai/LC_MESSAGES/libkdegames6.mo
+share/locale/mk/LC_MESSAGES/libkdegames6.mo
+share/locale/ml/LC_MESSAGES/libkdegames6.mo
+share/locale/mr/LC_MESSAGES/libkdegames6.mo
+share/locale/nb/LC_MESSAGES/libkdegames6.mo
+share/locale/nds/LC_MESSAGES/libkdegames6.mo
+share/locale/ne/LC_MESSAGES/libkdegames6.mo
+share/locale/nl/LC_MESSAGES/libkdegames6.mo
+share/locale/nn/LC_MESSAGES/libkdegames6.mo
+share/locale/oc/LC_MESSAGES/libkdegames6.mo
+share/locale/pa/LC_MESSAGES/libkdegames6.mo
+share/locale/pl/LC_MESSAGES/libkdegames6.mo
+share/locale/pt/LC_MESSAGES/libkdegames6.mo
+share/locale/pt_BR/LC_MESSAGES/libkdegames6.mo
+share/locale/ro/LC_MESSAGES/libkdegames6.mo
+share/locale/ru/LC_MESSAGES/libkdegames6.mo
+share/locale/se/LC_MESSAGES/libkdegames6.mo
+share/locale/sk/LC_MESSAGES/libkdegames6.mo
+share/locale/sl/LC_MESSAGES/libkdegames6.mo
+share/locale/sq/LC_MESSAGES/libkdegames6.mo
+share/locale/sr/LC_MESSAGES/libkdegames6.mo
+share/locale/sr@ijekavian/LC_MESSAGES/libkdegames6.mo
+share/locale/sr@ijekavianlatin/LC_MESSAGES/libkdegames6.mo
+share/locale/sr@latin/LC_MESSAGES/libkdegames6.mo
+share/locale/sv/LC_MESSAGES/libkdegames6.mo
+share/locale/ta/LC_MESSAGES/libkdegames6.mo
+share/locale/te/LC_MESSAGES/libkdegames6.mo
+share/locale/tg/LC_MESSAGES/libkdegames6.mo
+share/locale/th/LC_MESSAGES/libkdegames6.mo
+share/locale/tr/LC_MESSAGES/libkdegames6.mo
+share/locale/ug/LC_MESSAGES/libkdegames6.mo
+share/locale/uk/LC_MESSAGES/libkdegames6.mo
+share/locale/wa/LC_MESSAGES/libkdegames6.mo
+share/locale/xh/LC_MESSAGES/libkdegames6.mo
+share/locale/zh_CN/LC_MESSAGES/libkdegames6.mo
+share/locale/zh_TW/LC_MESSAGES/libkdegames6.mo
+share/qlogging-categories6/libkdegames.categories
diff --git a/games/libkmahjongg/Makefile b/games/libkmahjongg/Makefile
index 16c0889f25b0..c417422fa010 100644
--- a/games/libkmahjongg/Makefile
+++ b/games/libkmahjongg/Makefile
@@ -3,17 +3,20 @@ DISTVERSION=	${KDE_APPLICATIONS_VERSION}
 CATEGORIES=	games kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
-COMMENT=	Library for the Mahjongg Solitaire for KDE 5
+COMMENT=	Library for the Mahjongg Solitaire for KDE
 WWW=		https://www.kde.org/applications/games/kmahjongg/
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz
-USE_KDE=	auth codecs completion config configwidgets coreaddons \
-		i18n widgetsaddons \
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz
+USE_KDE=	auth codecs completion config configwidgets coreaddons i18n \
+		widgetsaddons \
 		ecm:build
-USE_QT=		core gui svg widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base svg
 USE_LDCONFIG=	yes
 
 OPTIONS_DEFINE=	DOCS
 
+SHLIB_VER=	6.0.241200
+PLIST_SUB+=	SHLIB_VER="${SHLIB_VER}" \
+		SHLIB_SHVER="${SHLIB_VER:R:R}"
+
 .include <bsd.port.mk>
diff --git a/games/libkmahjongg/distinfo b/games/libkmahjongg/distinfo
index 7de1c28aa276..50fc88c049fd 100644
--- a/games/libkmahjongg/distinfo
+++ b/games/libkmahjongg/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889389
-SHA256 (KDE/release-service/23.08.5/libkmahjongg-23.08.5.tar.xz) = 7a88b40b6cc5c23451da3b736d4e4be3d67f0a745421f9daa1a29adc973dc365
-SIZE (KDE/release-service/23.08.5/libkmahjongg-23.08.5.tar.xz) = 1688620
+TIMESTAMP = 1734460186
+SHA256 (KDE/release-service/24.12.0/libkmahjongg-24.12.0.tar.xz) = e62028df0114b178ec8a2fc093f9e685063fa987c922a1ca0c64e9d905380cb0
+SIZE (KDE/release-service/24.12.0/libkmahjongg-24.12.0.tar.xz) = 1693744
diff --git a/games/libkmahjongg/pkg-plist b/games/libkmahjongg/pkg-plist
index a8f17e4666cd..1a86799fb70f 100644
--- a/games/libkmahjongg/pkg-plist
+++ b/games/libkmahjongg/pkg-plist
@@ -1,114 +1,107 @@
-include/KF5/KMahjongg/KMahjonggBackground
-include/KF5/KMahjongg/KMahjonggConfigDialog
-include/KF5/KMahjongg/KMahjonggTileset
-include/KF5/KMahjongg/kmahjonggbackground.h
-include/KF5/KMahjongg/kmahjonggconfigdialog.h
-include/KF5/KMahjongg/kmahjongglib_version.h
-include/KF5/KMahjongg/kmahjonggtileset.h
-include/KF5/KMahjongg/libkmahjongg_export.h
-lib/cmake/KF5KMahjongglib/KF5KMahjonggTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KF5KMahjongglib/KF5KMahjonggTargets.cmake
-lib/cmake/KF5KMahjongglib/KF5KMahjongglibConfig.cmake
-lib/cmake/KF5KMahjongglib/KF5KMahjongglibConfigVersion.cmake
-lib/libKF5KMahjongglib.so
-lib/libKF5KMahjongglib.so.5
-lib/libKF5KMahjongglib.so.5.1.0
-share/kmahjongglib/backgrounds/chinese_landscape.copyright
+include/KMahjongg6/KMahjonggBackground
+include/KMahjongg6/KMahjonggConfigDialog
+include/KMahjongg6/KMahjonggTileset
+include/KMahjongg6/kmahjonggbackground.h
+include/KMahjongg6/kmahjonggconfigdialog.h
+include/KMahjongg6/kmahjongglib_version.h
+include/KMahjongg6/kmahjonggtileset.h
+include/KMahjongg6/libkmahjongg_export.h
+lib/cmake/KMahjongglib6/KMahjongglib6Config.cmake
+lib/cmake/KMahjongglib6/KMahjongglib6ConfigVersion.cmake
+lib/cmake/KMahjongglib6/KMahjongglib6Targets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KMahjongglib6/KMahjongglib6Targets.cmake
+lib/libKMahjongg6.so
+lib/libKMahjongg6.so.%%SHLIB_SHVER%%
+lib/libKMahjongg6.so.%%SHLIB_VER%%
 share/kmahjongglib/backgrounds/chinese_landscape.desktop
 share/kmahjongglib/backgrounds/chinese_landscape.svgz
 share/kmahjongglib/backgrounds/color_plain.desktop
-share/kmahjongglib/backgrounds/default.copyright
 share/kmahjongglib/backgrounds/default.desktop
 share/kmahjongglib/backgrounds/default.svgz
-share/kmahjongglib/backgrounds/egyptian.copyright
 share/kmahjongglib/backgrounds/egyptian.desktop
 share/kmahjongglib/backgrounds/egyptian.svgz
-share/kmahjongglib/backgrounds/summerfield.copyright
 share/kmahjongglib/backgrounds/summerfield.desktop
 share/kmahjongglib/backgrounds/summerfield.svgz
-share/kmahjongglib/backgrounds/wood_light.copyright
 share/kmahjongglib/backgrounds/wood_light.desktop
 share/kmahjongglib/backgrounds/wood_light.svgz
-share/kmahjongglib/tilesets/alphabet.copyright
 share/kmahjongglib/tilesets/alphabet.desktop
 share/kmahjongglib/tilesets/alphabet.svgz
-share/kmahjongglib/tilesets/classic.copyright
 share/kmahjongglib/tilesets/classic.desktop
 share/kmahjongglib/tilesets/classic.svgz
-share/kmahjongglib/tilesets/default.copyright
 share/kmahjongglib/tilesets/default.desktop
 share/kmahjongglib/tilesets/default.svgz
-share/kmahjongglib/tilesets/egypt.copyright
 share/kmahjongglib/tilesets/egypt.desktop
 share/kmahjongglib/tilesets/egypt.svgz
-share/kmahjongglib/tilesets/jade.copyright
 share/kmahjongglib/tilesets/jade.desktop
 share/kmahjongglib/tilesets/jade.svgz
-share/kmahjongglib/tilesets/traditional.copyright
 share/kmahjongglib/tilesets/traditional.desktop
 share/kmahjongglib/tilesets/traditional.svgz
-share/locale/ar/LC_MESSAGES/libkmahjongg5.mo
-share/locale/be/LC_MESSAGES/libkmahjongg5.mo
-share/locale/bg/LC_MESSAGES/libkmahjongg5.mo
-share/locale/bs/LC_MESSAGES/libkmahjongg5.mo
-share/locale/ca/LC_MESSAGES/libkmahjongg5.mo
-share/locale/ca@valencia/LC_MESSAGES/libkmahjongg5.mo
-share/locale/cs/LC_MESSAGES/libkmahjongg5.mo
-share/locale/csb/LC_MESSAGES/libkmahjongg5.mo
-share/locale/da/LC_MESSAGES/libkmahjongg5.mo
-share/locale/de/LC_MESSAGES/libkmahjongg5.mo
-share/locale/el/LC_MESSAGES/libkmahjongg5.mo
-share/locale/en_GB/LC_MESSAGES/libkmahjongg5.mo
-share/locale/eo/LC_MESSAGES/libkmahjongg5.mo
-share/locale/es/LC_MESSAGES/libkmahjongg5.mo
-share/locale/et/LC_MESSAGES/libkmahjongg5.mo
-share/locale/eu/LC_MESSAGES/libkmahjongg5.mo
-share/locale/fi/LC_MESSAGES/libkmahjongg5.mo
-share/locale/fr/LC_MESSAGES/libkmahjongg5.mo
-share/locale/ga/LC_MESSAGES/libkmahjongg5.mo
-share/locale/gl/LC_MESSAGES/libkmahjongg5.mo
-share/locale/gu/LC_MESSAGES/libkmahjongg5.mo
-share/locale/hi/LC_MESSAGES/libkmahjongg5.mo
-share/locale/hne/LC_MESSAGES/libkmahjongg5.mo
-share/locale/hr/LC_MESSAGES/libkmahjongg5.mo
-share/locale/hu/LC_MESSAGES/libkmahjongg5.mo
-share/locale/id/LC_MESSAGES/libkmahjongg5.mo
-share/locale/is/LC_MESSAGES/libkmahjongg5.mo
-share/locale/it/LC_MESSAGES/libkmahjongg5.mo
-share/locale/ja/LC_MESSAGES/libkmahjongg5.mo
-share/locale/ka/LC_MESSAGES/libkmahjongg5.mo
-share/locale/kk/LC_MESSAGES/libkmahjongg5.mo
-share/locale/km/LC_MESSAGES/libkmahjongg5.mo
-share/locale/ko/LC_MESSAGES/libkmahjongg5.mo
-share/locale/lt/LC_MESSAGES/libkmahjongg5.mo
-share/locale/lv/LC_MESSAGES/libkmahjongg5.mo
-share/locale/mai/LC_MESSAGES/libkmahjongg5.mo
-share/locale/ml/LC_MESSAGES/libkmahjongg5.mo
-share/locale/mr/LC_MESSAGES/libkmahjongg5.mo
-share/locale/nb/LC_MESSAGES/libkmahjongg5.mo
-share/locale/nds/LC_MESSAGES/libkmahjongg5.mo
-share/locale/nl/LC_MESSAGES/libkmahjongg5.mo
-share/locale/nn/LC_MESSAGES/libkmahjongg5.mo
-share/locale/oc/LC_MESSAGES/libkmahjongg5.mo
-share/locale/pl/LC_MESSAGES/libkmahjongg5.mo
-share/locale/pt/LC_MESSAGES/libkmahjongg5.mo
-share/locale/pt_BR/LC_MESSAGES/libkmahjongg5.mo
-share/locale/ro/LC_MESSAGES/libkmahjongg5.mo
-share/locale/ru/LC_MESSAGES/libkmahjongg5.mo
-share/locale/se/LC_MESSAGES/libkmahjongg5.mo
-share/locale/sk/LC_MESSAGES/libkmahjongg5.mo
-share/locale/sl/LC_MESSAGES/libkmahjongg5.mo
-share/locale/sq/LC_MESSAGES/libkmahjongg5.mo
-share/locale/sr/LC_MESSAGES/libkmahjongg5.mo
-share/locale/sr@ijekavian/LC_MESSAGES/libkmahjongg5.mo
-share/locale/sr@ijekavianlatin/LC_MESSAGES/libkmahjongg5.mo
-share/locale/sr@latin/LC_MESSAGES/libkmahjongg5.mo
-share/locale/sv/LC_MESSAGES/libkmahjongg5.mo
-share/locale/th/LC_MESSAGES/libkmahjongg5.mo
-share/locale/tr/LC_MESSAGES/libkmahjongg5.mo
-share/locale/ug/LC_MESSAGES/libkmahjongg5.mo
-share/locale/uk/LC_MESSAGES/libkmahjongg5.mo
-share/locale/wa/LC_MESSAGES/libkmahjongg5.mo
-share/locale/zh_CN/LC_MESSAGES/libkmahjongg5.mo
-share/locale/zh_TW/LC_MESSAGES/libkmahjongg5.mo
-share/qlogging-categories5/libkmahjongg.categories
+share/locale/ar/LC_MESSAGES/libkmahjongg6.mo
+share/locale/ast/LC_MESSAGES/libkmahjongg6.mo
+share/locale/be/LC_MESSAGES/libkmahjongg6.mo
+share/locale/bg/LC_MESSAGES/libkmahjongg6.mo
+share/locale/bs/LC_MESSAGES/libkmahjongg6.mo
+share/locale/ca/LC_MESSAGES/libkmahjongg6.mo
+share/locale/ca@valencia/LC_MESSAGES/libkmahjongg6.mo
+share/locale/cs/LC_MESSAGES/libkmahjongg6.mo
+share/locale/csb/LC_MESSAGES/libkmahjongg6.mo
+share/locale/da/LC_MESSAGES/libkmahjongg6.mo
+share/locale/de/LC_MESSAGES/libkmahjongg6.mo
+share/locale/el/LC_MESSAGES/libkmahjongg6.mo
+share/locale/en_GB/LC_MESSAGES/libkmahjongg6.mo
+share/locale/eo/LC_MESSAGES/libkmahjongg6.mo
+share/locale/es/LC_MESSAGES/libkmahjongg6.mo
+share/locale/et/LC_MESSAGES/libkmahjongg6.mo
+share/locale/eu/LC_MESSAGES/libkmahjongg6.mo
+share/locale/fi/LC_MESSAGES/libkmahjongg6.mo
+share/locale/fr/LC_MESSAGES/libkmahjongg6.mo
+share/locale/ga/LC_MESSAGES/libkmahjongg6.mo
+share/locale/gl/LC_MESSAGES/libkmahjongg6.mo
+share/locale/gu/LC_MESSAGES/libkmahjongg6.mo
+share/locale/he/LC_MESSAGES/libkmahjongg6.mo
+share/locale/hi/LC_MESSAGES/libkmahjongg6.mo
+share/locale/hne/LC_MESSAGES/libkmahjongg6.mo
+share/locale/hr/LC_MESSAGES/libkmahjongg6.mo
+share/locale/hu/LC_MESSAGES/libkmahjongg6.mo
+share/locale/ia/LC_MESSAGES/libkmahjongg6.mo
+share/locale/id/LC_MESSAGES/libkmahjongg6.mo
+share/locale/is/LC_MESSAGES/libkmahjongg6.mo
+share/locale/it/LC_MESSAGES/libkmahjongg6.mo
+share/locale/ja/LC_MESSAGES/libkmahjongg6.mo
+share/locale/ka/LC_MESSAGES/libkmahjongg6.mo
+share/locale/kk/LC_MESSAGES/libkmahjongg6.mo
+share/locale/km/LC_MESSAGES/libkmahjongg6.mo
+share/locale/ko/LC_MESSAGES/libkmahjongg6.mo
+share/locale/lt/LC_MESSAGES/libkmahjongg6.mo
+share/locale/lv/LC_MESSAGES/libkmahjongg6.mo
+share/locale/mai/LC_MESSAGES/libkmahjongg6.mo
+share/locale/ml/LC_MESSAGES/libkmahjongg6.mo
+share/locale/mr/LC_MESSAGES/libkmahjongg6.mo
+share/locale/nb/LC_MESSAGES/libkmahjongg6.mo
+share/locale/nds/LC_MESSAGES/libkmahjongg6.mo
+share/locale/nl/LC_MESSAGES/libkmahjongg6.mo
+share/locale/nn/LC_MESSAGES/libkmahjongg6.mo
+share/locale/oc/LC_MESSAGES/libkmahjongg6.mo
+share/locale/pl/LC_MESSAGES/libkmahjongg6.mo
+share/locale/pt/LC_MESSAGES/libkmahjongg6.mo
+share/locale/pt_BR/LC_MESSAGES/libkmahjongg6.mo
+share/locale/ro/LC_MESSAGES/libkmahjongg6.mo
+share/locale/ru/LC_MESSAGES/libkmahjongg6.mo
+share/locale/se/LC_MESSAGES/libkmahjongg6.mo
+share/locale/sk/LC_MESSAGES/libkmahjongg6.mo
+share/locale/sl/LC_MESSAGES/libkmahjongg6.mo
+share/locale/sq/LC_MESSAGES/libkmahjongg6.mo
+share/locale/sr/LC_MESSAGES/libkmahjongg6.mo
+share/locale/sr@ijekavian/LC_MESSAGES/libkmahjongg6.mo
+share/locale/sr@ijekavianlatin/LC_MESSAGES/libkmahjongg6.mo
+share/locale/sr@latin/LC_MESSAGES/libkmahjongg6.mo
+share/locale/sv/LC_MESSAGES/libkmahjongg6.mo
+share/locale/th/LC_MESSAGES/libkmahjongg6.mo
+share/locale/tr/LC_MESSAGES/libkmahjongg6.mo
+share/locale/ug/LC_MESSAGES/libkmahjongg6.mo
+share/locale/uk/LC_MESSAGES/libkmahjongg6.mo
+share/locale/wa/LC_MESSAGES/libkmahjongg6.mo
+share/locale/zh_CN/LC_MESSAGES/libkmahjongg6.mo
+share/locale/zh_TW/LC_MESSAGES/libkmahjongg6.mo
+share/qlogging-categories6/libkmahjongg.categories
+share/qlogging-categories6/libkmahjongg.renamecategories
diff --git a/games/lskat/Makefile b/games/lskat/Makefile
index 5d8385fbb910..cdbdb2a3291d 100644
--- a/games/lskat/Makefile
+++ b/games/lskat/Makefile
@@ -6,12 +6,11 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${PORTNAME:tu}_DESC}
 WWW=		https://www.kde.org/applications/games/lskat/
 
-USES=		cmake compiler:c++11-lang kde:5 qt:5 tar:xz
-USE_KDE=	auth codecs config configwidgets coreaddons crash \
-		guiaddons i18n libkdegames notifyconfig widgetsaddons xmlgui \
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz
+USE_KDE=	auth codecs config configwidgets coreaddons crash guiaddons \
+		i18n libkdegames notifyconfig widgetsaddons xmlgui \
 		ecm:build
-USE_QT=		core dbus declarative gui network svg widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base declarative
 
 OPTIONS_DEFINE=	DOCS
 
diff --git a/games/lskat/distinfo b/games/lskat/distinfo
index ac2bb2c43dfa..064f189e12e4 100644
--- a/games/lskat/distinfo
+++ b/games/lskat/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889387
-SHA256 (KDE/release-service/23.08.5/lskat-23.08.5.tar.xz) = 4d53fb9f9d1021d75fe149d00890adda9ece1641cce8cfdf38a5a70969f2e1e1
-SIZE (KDE/release-service/23.08.5/lskat-23.08.5.tar.xz) = 1251488
+TIMESTAMP = 1734460188
+SHA256 (KDE/release-service/24.12.0/lskat-24.12.0.tar.xz) = 7af2da3f03bdfd1894899683e6e058b5824ebefb19c2f351471e685dd207facb
+SIZE (KDE/release-service/24.12.0/lskat-24.12.0.tar.xz) = 1226912
diff --git a/games/lskat/pkg-plist b/games/lskat/pkg-plist
index 33ffcc8e3389..dd6761621ddd 100644
--- a/games/lskat/pkg-plist
+++ b/games/lskat/pkg-plist
@@ -8,6 +8,7 @@ share/icons/hicolor/48x48/apps/lskat.png
 share/icons/hicolor/64x64/apps/lskat.png
 share/locale/af/LC_MESSAGES/lskat.mo
 share/locale/ar/LC_MESSAGES/lskat.mo
+share/locale/ast/LC_MESSAGES/lskat.mo
 share/locale/be/LC_MESSAGES/lskat.mo
 share/locale/bg/LC_MESSAGES/lskat.mo
 share/locale/br/LC_MESSAGES/lskat.mo
@@ -78,14 +79,15 @@ share/locale/uk/LC_MESSAGES/lskat.mo
 share/locale/xh/LC_MESSAGES/lskat.mo
 share/locale/zh_CN/LC_MESSAGES/lskat.mo
 share/locale/zh_TW/LC_MESSAGES/lskat.mo
-%%DATADIR%%/grafix/blue.desktop
-%%DATADIR%%/grafix/blue.rc
-%%DATADIR%%/grafix/blue.svg
-%%DATADIR%%/grafix/egyptian.desktop
-%%DATADIR%%/grafix/egyptian.rc
-%%DATADIR%%/grafix/egyptian.svg
-%%DATADIR%%/grafix/oxygen.desktop
-%%DATADIR%%/grafix/oxygen.rc
-%%DATADIR%%/grafix/oxygen.svg
+%%DATADIR%%/themes/blue.desktop
+%%DATADIR%%/themes/blue.rc
+%%DATADIR%%/themes/blue.svgz
+%%DATADIR%%/themes/egyptian.desktop
+%%DATADIR%%/themes/egyptian.rc
+%%DATADIR%%/themes/egyptian.svgz
+%%DATADIR%%/themes/oxygen.desktop
+%%DATADIR%%/themes/oxygen.rc
+%%DATADIR%%/themes/oxygen.svgz
 share/metainfo/org.kde.lskat.appdata.xml
-share/qlogging-categories5/lskat.categories
+share/qlogging-categories6/lskat.categories
+share/qlogging-categories6/lskat.renamecategories
diff --git a/games/palapeli/Makefile b/games/palapeli/Makefile
index 6160d519efd9..76f24a9301f6 100644
--- a/games/palapeli/Makefile
+++ b/games/palapeli/Makefile
@@ -6,14 +6,13 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${PORTNAME:tu}_DESC}
 WWW=		https://www.kde.org/applications/games/palapeli/
 
-USES=		cmake compiler:c++11-lang desktop-file-utils kde:5 qt:5 \
-		shared-mime-info tar:xz xorg
+USES=		cmake compiler:c++11-lang desktop-file-utils gettext kde:6 \
+		qt:6 shared-mime-info tar:xz xorg
 USE_KDE=	archive auth codecs completion config configwidgets coreaddons \
 		crash i18n itemviews jobwidgets kio libkdegames notifications \
 		service solid widgetsaddons windowsystem xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus declarative gui network svg widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base declarative
 USE_XORG=	x11
 USE_LDCONFIG=	yes
 
diff --git a/games/palapeli/distinfo b/games/palapeli/distinfo
index bc581023f632..4b2687021d93 100644
--- a/games/palapeli/distinfo
+++ b/games/palapeli/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889376
-SHA256 (KDE/release-service/23.08.5/palapeli-23.08.5.tar.xz) = faea7b9a18a4fc8fa4af2cca7994609bdb79039a9bd319cdc74fad55046b89d1
-SIZE (KDE/release-service/23.08.5/palapeli-23.08.5.tar.xz) = 2121544
+TIMESTAMP = 1734460190
+SHA256 (KDE/release-service/24.12.0/palapeli-24.12.0.tar.xz) = 951c3999382b7546bc298132aaffe2ab4204dcc9cd38c31fb2d8adc609b5a755
+SIZE (KDE/release-service/24.12.0/palapeli-24.12.0.tar.xz) = 2122380
diff --git a/games/palapeli/pkg-plist b/games/palapeli/pkg-plist
index a1bf43f12d32..e0f41ab07d67 100644
--- a/games/palapeli/pkg-plist
+++ b/games/palapeli/pkg-plist
@@ -18,7 +18,7 @@ lib/cmake/Pala/PalaTargets.cmake
 lib/libpala.so
 lib/libpala.so.0
 lib/libpala.so.0.2.0
-%%QT_PLUGINDIR%%/kf5/thumbcreator/palathumbcreator.so
+%%QT_PLUGINDIR%%/kf6/thumbcreator/palathumbcreator.so
 %%QT_PLUGINDIR%%/palapelislicers/palapeli_goldbergslicer.so
 %%QT_PLUGINDIR%%/palapelislicers/palapeli_jigsawslicer.so
 %%QT_PLUGINDIR%%/palapelislicers/palapeli_rectslicer.so
@@ -36,7 +36,8 @@ share/icons/hicolor/48x48/mimetypes/application-x-palapeli.png
 share/icons/hicolor/64x64/apps/palapeli.png
 share/icons/hicolor/64x64/mimetypes/application-x-palapeli.png
 share/kio/servicemenus/palapeli_servicemenu.desktop
-share/knotifications5/palapeli.notifyrc
+share/knotifications6/palapeli.notifyrc
+share/locale/ast/LC_MESSAGES/palapeli.mo
 share/locale/bg/LC_MESSAGES/palapeli.mo
 share/locale/bs/LC_MESSAGES/palapeli.mo
 share/locale/ca/LC_MESSAGES/palapeli.mo
@@ -54,9 +55,11 @@ share/locale/fi/LC_MESSAGES/palapeli.mo
 share/locale/fr/LC_MESSAGES/palapeli.mo
 share/locale/ga/LC_MESSAGES/palapeli.mo
 share/locale/gl/LC_MESSAGES/palapeli.mo
+share/locale/he/LC_MESSAGES/palapeli.mo
 share/locale/hr/LC_MESSAGES/palapeli.mo
 share/locale/hsb/LC_MESSAGES/palapeli.mo
 share/locale/hu/LC_MESSAGES/palapeli.mo
+share/locale/ia/LC_MESSAGES/palapeli.mo
 share/locale/is/LC_MESSAGES/palapeli.mo
 share/locale/it/LC_MESSAGES/palapeli.mo
 share/locale/ja/LC_MESSAGES/palapeli.mo
@@ -110,4 +113,5 @@ share/mime/packages/palapeli-mimetypes.xml
 %%DATADIR%%/collection/panther-chameleon-female.desktop
 %%DATADIR%%/collection/panther-chameleon-female.jpg
 %%DATADIR%%/palapeli.kcfg
-share/qlogging-categories5/palapeli.categories
+share/qlogging-categories6/palapeli.categories
+share/qlogging-categories6/palapeli.renamecategories
